javax.faces.view.facelets

## Class TagHandlerDelegateFactory

- java.lang.Object
- - javax.faces.view.facelets.TagHandlerDelegateFactory

- All Implemented Interfaces:
    FacesWrapper<TagHandlerDelegateFactory>

      public abstract class TagHandlerDelegateFactory
      extends Object
      implements FacesWrapper<TagHandlerDelegateFactory>

  Abstract factory for creating instances of `TagHandlerDelegate`.

  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagHandlerDelegateFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract TagHandlerDelegate` | `createBehaviorHandlerDelegate(BehaviorHandler owner)` Create and return a `TagHandlerDelegate` instance designed for use with `BehaviorHandler`.
    `abstract TagHandlerDelegate` | `createComponentHandlerDelegate(ComponentHandler owner)` Create and return a `TagHandlerDelegate` instance designed for use with `ComponentHandler`.
    `abstract TagHandlerDelegate` | `createConverterHandlerDelegate(ConverterHandler owner)` Create and return a `TagHandlerDelegate` instance designed for use with `ConverterHandler`.
    `abstract TagHandlerDelegate` | `createValidatorHandlerDelegate(ValidatorHandler owner)` Create and return a `TagHandlerDelegate` instance designed for use with `ValidatorHandler`.
    `TagHandlerDelegateFactory` | `getWrapped()` If this factory has been decorated, the implementation doing the decorating may override this method to provide access to the implementation being wrapped.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagHandlerDelegateFactory

          public TagHandlerDelegateFactory()

  - ### Method Detail

    - #### getWrapped

          public TagHandlerDelegateFactory getWrapped()

      If this factory has been decorated, the implementation doing the decorating may override this method to provide access to the implementation being wrapped. A default implementation is provided that returns `null`.

      Specified by:
        `getWrapped` in interface `FacesWrapper<TagHandlerDelegateFactory>`
      Since:
        2.2

    - #### createComponentHandlerDelegate

          public abstract TagHandlerDelegate createComponentHandlerDelegate(ComponentHandler owner)

      Create and return a `TagHandlerDelegate` instance designed for use with `ComponentHandler`.

      Parameters:
        `owner` - the `ComponentHandler` instance being helped by this helper instance.
      Since:
        2.0

    - #### createValidatorHandlerDelegate

          public abstract TagHandlerDelegate createValidatorHandlerDelegate(ValidatorHandler owner)

      Create and return a `TagHandlerDelegate` instance designed for use with `ValidatorHandler`.

      Parameters:
        `owner` - the `ValidatorHandler` instance being helped by this helper instance.
      Since:
        2.0

    - #### createConverterHandlerDelegate

          public abstract TagHandlerDelegate createConverterHandlerDelegate(ConverterHandler owner)

      Create and return a `TagHandlerDelegate` instance designed for use with `ConverterHandler`.

      Parameters:
        `owner` - the `ValidatorHandler` instance being helped by this helper instance.
      Since:
        2.0

    - #### createBehaviorHandlerDelegate

          public abstract TagHandlerDelegate createBehaviorHandlerDelegate(BehaviorHandler owner)

      Create and return a `TagHandlerDelegate` instance designed for use with `BehaviorHandler`.

      Parameters:
        `owner` - the `ValidatorHandler` instance being helped by this helper instance.
      Since:
        2.0

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.